//key Macro     descripte   caption
//==========================================================
0x00, IR_NUM0,  Number 0,   0,
0x01, IR_NUM1,  Number 1,   1,
0x02, IR_NUM2,  Number 2,   2,
0x03, IR_NUM3,  Number 3,   3,
0x04, IR_NUM4,  Number 4,   4,
0x05, IR_NUM5,  Number 5,   5,
0x06, IR_NUM6,  Number 6,   6,
0x07, IR_NUM7,  Number 7,   7,
0x08, IR_NUM8,  Number 8,   8,
0x09, IR_NUM9,  Number 9,   9,

//key Macro     descripte   caption
//==========================================================
0x0D, IR_UP,    Up,         Up,
0x0E, IR_LEFT,  Left,       Left,
0x10, IR_DOWN,  Down,       Down,
0x0F, IR_RIGHT, Rigth,      Right,

//key Macro     descripte   caption
//==========================================================
0x19, IR_FF,    Fast Forward,FF,
0x1B, IR_SF,    Slow Forward,SF,
0x13, IR_PAUSE, Pause,      Pause,
0x6D, IR_POWER, Power,           Pow,
0x1C, IR_SR,    Slow Return,SR,
0x1A, IR_FR,    Fast Return,FR,
0x14, IR_STOP,  Stop,       Stop,
0x12, IR_PLAY,  Play,       Play,

//key Macro     descripte   caption
//==========================================================
0x0A, IR_ADD10, Number 10+, 10+,
0x0B, IR_ADD20, Number 20+, 20+,
0x0C, IR_ADD5,  Number 5+,  5+,
0x11, IR_ENTER, Entry,      Entry,
0x15, IR_NEXT,  Next,       Next,
0x16, IR_PREV,  Previous,   Previous,
0x17, IR_REPEAT,Repeat,     Repeat,
0x18, IR_RESUME,Resume,     Resume,
0x1D, IR_STEPF, Forward Step by Step, StepF,
0x1E, IR_STEPR, Return Step by Step, StepR,
0x1F, IR_REVERSE, Reverse, Reverse,
0x20, IR_SET_A,        Set A-Repeat,  A,
0x21, IR_SET_A,        Set B-Repeat,  B,
0x22, IR_TITLE_MENU,   Title Menu,    TMenu,
0x23, IR_ROOT_MENU,    Root Menu,     RMenu,
0x24, IR_RETURN,       Return,        Return,
0x25, IR_NEXT_DLIST,   Next List,     Nlist,
0x26, IR_PREV_DLIST,   Previous List, Plist,
0x27, IR_HOME_DLIST,   Home List,     Hlist,
0x28, IR_AUDIO,        Audio,         Audio,
0x29, IR_SUB_TITLE,    Subtitle,      Stitle,
0x2A, IR_SUB_TITLE_OFF,Subtitle,      StitleEnd,
0x2B, IR_ANGLE,        Angle,         Angle,
0x2C, IR_DISPLAY,      Display,       Display,
0x2D, IR_REMAIN,       Remain,        Remain,
0x2E, IR_GOTO,         Goto,          Goto,
0x2F, IR_MARK,         Mark,          Mark,
0x30, IR_CLEAR,        Clean,         Clean,
0x31, IR_PBC,          PBC,           PBC,
0x32, IR_DIGEST,       Digest,        Digest,
0x33, IR_PROGRAM,      Program,       program,
0x34, IR_RANDOM,       Andom,         Ansom,
0x35, IR_VRMT,         VRmt,          VRmt,
0x36, IR_MEMORY,       Memory,        Mem,
0x37, IR_PLAY_MODE,    Play Mode,     Play Mode,
0x38, IR_PAL_NTSC,     Pal or Ntsc,   P/N,
0x39, IR_TV_MODE,      TV Mode,       TV Mode,
0x3A, IR_COMPONENT,    Component,     Component,
0x3B, IR_PSCAN,        PScan,         PScan,
0x3C, IR_VGA,          VGA,           VGA,
0x3D, IR_ZOOM_IN,      Zoom In,       Zoom In,
0x3E, IR_ZOOM_OUT,     Zoom Out,      Zoom Out,
0x3F, IR_ZOOM_USER,    Zoom User,     Zoom User,
0x40, IR_CAPTURE,      Capture,       Capture,
0x41, IR_RECORD,       Record,        Record,
0x42, IR_MARK_HOLD,    Mark Hold,     Mark Hold,
0x43, IR_PROGRAM_HOLD, Program Hold,  Program Hold,
0x44, IR_CHANNEL,      Channel,       Channel,
0x45, IR_CHANNEL_UP,   Channel Up,    Channel Up,
0x46, IR_CHANNEN_DOWN, Channel down,  Channel Down,
0x47, IR_RECORD_PAUSE, Record Pause,  Record Pause,
0x48, IR_RECORD_STOP,  Record Stop,   Record Stop,
0x49, IR_DVD_HDD,      DVD or HDD,    D/H,
0x4A, IR_PIP,          Picture in Picture, PIP,
0x4B, IR_EDIT,         Edit,          Edit,
0x4C, IR_DISC,         Disc,          Disc,
0x4D, IR_INPUT,        Input,         Input,
0x4E, IR_VCR_PLUS,     VCR Plus,      VCR+,
0x4F, IR_CHANNEL_MASK, Channel Mask,  Channel Mask,
0x50, IR_REPLAY,        Replay,          Replay,
0x51, IR_TIME_SHIFT,    Time Shift,      Time Shift,
0x52, IR_MAKE_PIC,      Make PIC,        PIC,
0x53, IR_AUD_KEY_PLUS,  Audio Key Plus,  AKey+,
0x54, IR_AUD_KEY_MINUS, Audio Key Minus, AKey-,
0x55, IR_AUD_KEY_RESUME,Audio Key Resume,AKey,
0x56, IR_ECHO_PLUS,     Echo Plus,       Echo+,
0x57, IR_ECHO_MINUS,    Echo Minus,      Echo-,
0x58, IR_SURROUND,      Surround,        Surround,
0x59, IR_VOCAL_ASSIST,  Assist Vocal,    Assist Vocal,
0x5A, IR_KARAOKE,       Karaoke,         Karaoke,
0x5B, IR_ECHO_TYPE,     Echo Type,       Type,
0x5C, IR_EQUALIZER,     Equalizer,       Equer,
0x5D, IR_VOICE_CANCEL,  Cancel Voice,    Cancel Voice,
0x5E, IR_SPK_CFG,       Speak config,    Speak cfg,
0x5F, IR_SPDIF,         SPDIF,           SPDIF,
0x60, IR_MUTE_UP,       Mute,            Mute,
0x61, IR_VOLUME_UP,     Volume Up,       V+,
0x62, IR_VOLUME_DOWN,   Volume Down,     V-,
0x63, IR_AUD_LR,        Audio L/R,       Aud L/R,
0x64, IR_SETUP,         Setup,           Setup,
0x65, IR_PLAY_TYPE,     Play Type,       Play Type,
0x66, IR_OSD_LANGUAGE,  Osd Language,    Lang,
0x67, IR_DEFAULT,       Default,         Default,
0x68, IR_GAME,          Game,            Game,
0x69, IR_FUNCTION,      Function,        Function,
0x6A, IR_VFD_DARK,      VFD Dark,        VFD Dark,
0x6B, IR_VFD_BRIGHT,    VFD Bright,      VFD Bright,
0x6C, IR_VFD_MODE,      VFD Mode,        VFD Mode,
0x6E, IR_EJECT,         Eject,           Eject,
0x70, IR_PLAY_PAUSE,      Play or Pause, Play/Pause,
0x71, IR_PAUSE_STEP,      Pause Step,    Pause Step,
0x72, IR_STOP_RESUME,     Stop Resume,   Stop Resume,
0x73, IR_PLAY_ENTER,      Play Entry,    Play Entry,
0x74, IR_MENU_PBC,        Menu PBC,      Menu PBC,
0x75, IR_TITLE_PBC,       Title PBC,     Title PBC,
0x76, IR_MANUAL_EJECT,    Manual Eject,  Manual Eject,
0x77, IR_SHIFT,           Shift,         Shift,
0x78, IR_DELETE,          Delete,        Del,
0x79, IR_BACKSPACE,       Back Space,    Back Sp,
0x7A, IR_PREVPAGE,        Previous Page, Prev Pg,
0x7B, IR_NEXTPAGE,        Next Page,     Next Pg,
0x7C, IR_MEMCARD,         Memor Card,    Mem Card,
0x7D, IR_QUALITY,         OTR Quality,   Quality,
0x7E, IR_DUMMY3,          Dummy 1,       Dum,
0x7F, IR_DUMMY4,          Dummy 1,       Dum,
0x80, IR_DUMMY5,          Dummy 1,       Dum,
0x81, IR_DUMMY6,          Dummy 1,       Dum,
0x82, IR_DUMMY7,          Dummy 1,       Dum,
0x83, IR_DUMMY8,          Dummy 1,       Dum,
0x84, IR_DUMMY9,          Dummy 1,       Dum,
0x85, IR_DUMMY10,         Dummy 1,       Dum,
0x86, IR_DUMMY11,         Dummy 1,       Dum,
0x87, IR_DUMMY12,         Dummy 1,       Dum,

//key Macro               descripte         caption
//==========================================================
0x88, IR_CMD_DONE,        Command Done,     Com_Done,
0x89, IR_TIME_OUT,        Time Out,         Time_Out,
0x8A, IR_DONE,            Done,             Done,
0x8B, IR_PASSWORD,        Password,         Password,
0x8C, IR_HDN_PASSWORD,    HDN Password,     HDN Password,
0x8D, IR_UPG,             Upg,              Upg,
0x8E, IR_SELECT_DONE,     Select Done,      Sel_Done,
0x8F, IR_TRECORD,         Timming Record,   TRecord,
0x90, IR_TRECORD_PAUSE,   Timming Record Pause, TRecord Pause,
0x91, IR_TRECORD_STOP,    Timming Record Stop, TRecord stop,
0x92, IR_FSMENU,          File Browse Menu Stop, FSM,
0x93, IR_FSMENU_LANG,     File Browse Menu Stop, FSM lang,
0x94, IR_CHANGE_LANG,     Change Language,  Change Lang,
0x95, IR_INTERNAL_DUMMY1, Internal Dummy 1, Dum,
0x96, IR_INTERNAL_DUMMY2, Internal Dummy 2, Dum,
0x97, IR_INTERNAL_DUMMY3, Internal Dummy 3, Dum,
0x98, IR_INTERNAL_DUMMY4, Internal Dummy 4, Dum,